{
  "schema_version": "1.4.0",
  "id": "GHSA-rc36-5vc3-6jxx",
  "modified": "2022-05-13T01:18:44Z",
  "published": "2022-05-13T01:18:44Z",
  "aliases": [
    "CVE-2018-1000224"
  ],
  "details": "Godot Engine version All versions prior to 2.1.5, all 3.0 versions prior to 3.0.6. contains a Signed/unsigned comparison, wrong buffer size chackes, integer overflow, missing padding initialization vulnerability in (De)Serialization functions (core/io/marshalls.cpp) that can result in DoS (packet of death), possible leak of uninitialized memory. This attack appear to be exploitable via A malformed packet is received over the network by a Godot application that uses built-in serialization (e.g. game server, or game client). Could be triggered by multiplayer opponent. This vulnerability appears to have been fixed in 2.1.5, 3.0.6, master branch after commit feaf03421dda0213382b51aff07bd5a96b29487b.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-1000224"
    },
    {
      "type": "WEB",
      "url": "https://github.com/godotengine/godot/issues/20558"
    },
    {
      "type": "WEB",
      "url": "https://godotengine.org/article/maintenance-release-godot-2-1-5"
    },
    {
      "type": "WEB",
      "url": "https://godotengine.org/article/maintenance-release-godot-3-0-6"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-08-20T20:29:00Z"
  }
}